eth_getTransactionReceipt

Returns the transaction info: receipt, transaction fee, block height ... by transaction hash. Please refer to http api: wallet/gettransactioninfobyid

Starting with GreatVoyage-v4.8.2, each item in the receipt's logs array contains blockTimestamp. This field is the block's Unix timestamp in seconds, encoded as a hexadecimal string following the JSON-RPC QUANTITY rules.

Parameters

  1. DATA, 32 Bytes - Transaction hash. It must contain exactly 64 hexadecimal characters, with or without a 0x prefix.

Returns

  • object - A transaction receipt object, or null when no receipt was found. The items in the transaction receipt are as below.

    Item NameData TypeDescription
    transactionHashDATA, 32 BytesHash of the transaction.
    transactionIndexQUANTITYInteger of the transactions index position in the block.
    blockHashDATA, 32 BytesHash of the block where this transaction was in.
    blockNumberQUANTITYBlock number where this transaction was in.
    fromDATA, 20 BytesAddress of the sender.
    toDATA, 20 BytesAddress of the receiver.
    cumulativeGasUsedQUANTITYThe total amount of gas used when this transaction was executed in the block.
    gasUsedQUANTITYThe amount of gas used by this specific transaction alone.
    contractAddressDATA, 20 BytesThe contract address created, if the transaction was a contract creation, otherwise null.
    logsArrayArray of log objects, which this transaction generated.
    logsBloomDATA, 256 BytesBloom filter for light clients to quickly retrieve related logs.
    rootDATA32 bytes of post-transaction stateroot (pre Byzantium).
    statusQUANTITYEither 1 (success) or 0 (failure).
🚧

Note

To parse the logs field, please ensure the transaction succeeded (status == "0x1") first — this alignment is recommended for data consistency. See Event Log for log decoding.

Example

Request

curl -X POST 'https://api.shasta.trongrid.io/jsonrpc' --data '{
	"jsonrpc": "2.0",
	"method": "eth_getTransactionReceipt",
	"params": ["c9af231ad59bcd7e8dcf827afd45020a02112704dce74ec5f72cb090aa07eef0"],
	"id": 64
}'

Response

{
	"jsonrpc": "2.0",
	"id": 64,
	"result": {
		"blockHash": "0x00000000020ef11c87517739090601aa0a7be1de6faebf35ddb14e7ab7d1cc5b",
		"blockNumber": "0x20ef11c",
		"contractAddress": null,
		"cumulativeGasUsed": "0x646e2",
		"effectiveGasPrice": "0x8c",
		"from": "0x6eced5214d62c3bc9eaa742e2f86d5c516785e14",
		"gasUsed": "0x0",
		"logs": [],
		"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
		"status": "0x1",
		"to": "0x0697250b9d73b460a9d2bbfd8c4cacebb05dd1f1",
		"transactionHash": "0xc9af231ad59bcd7e8dcf827afd45020a02112704dce74ec5f72cb090aa07eef0",
		"transactionIndex": "0x6",
		"type": "0x0"
	}
}